Welcome to Geeklog Tuesday, February 19 2019 @ 08:05 pm EST

Geeklog Forums

geeklog & gallery integration error


Status: offline

snow_crash

Forum User
Newbie
Registered: 25/02/04
Posts: 4
Hello all, I installed both geeklog and gallery successfully yesterday. Today I installed the geeklog/gallery integration files and now get this error

Fatal error: Call to undefined function: getnls() in /homepages/44/d97135132/htdocs/gallery/util.php on line 1826

can anyone help out a fellow geek and tell me what the problem may be and a solution if there is one.. thx

Status: offline

samstone

Forum User
Full Member
Registered: 29/09/02
Posts: 820
If you are talking about the latest integration package, you do not need to installed Gallary ahead of time. The intergration package includes Gallary with it and should work as it is. Just make sure you chose Geeklog integration at the end and enter the correct path.

Hope this helps!

Sam

Status: offline

snow_crash

Forum User
Newbie
Registered: 25/02/04
Posts: 4
Maybe I'm missing something, but I downloaded the geeklog.1.3.8-gallery.1.4-pl1.zip from this site and the README file state;

These instructions assume that you have already installed Geeklog 1.3.8 and Gallery 1.4 and that both Geeklog and Gallery are working correctly prior to the integration.

Is this the wrong file? Am I supposed to download Gallery from the Gallery web site, and then follow the directions from the integration zip file, or is there another integration zip file that has the complete install? Any help is greatly appreciated.

destr0yr

Anonymous
JUST download that one file. Extract it to your /path/to/geeklog/public_html/gallery folder. If you have shell access, run "sh configure.sh", if not, check the DOCS for ftp commands and which files need what permissions. Go to www.yoursite.com/gallery and run through the setup. at the bottom of the 3rd page (1 diag page, and 2 config pages) it asks for the /path/to/geeklog/public_html

Hope that helps. i should have signed in.. owell

-- destr0yr.

Status: offline

robinbowes

Forum User
Junior
Registered: 06/08/02
Posts: 23
snow_crash,

Gallery have incorporated the geeklog integration into their codebase. It will be in the next release.

If you can't/don't want to wait until the next release of Gallery, you can check out the latest dev. version from CVS which has the geeklog integration built-in to it.

Search geeklog.net for "gallery" and check out recent stories/forum posts.

R.

Status: offline

snow_crash

Forum User
Newbie
Registered: 25/02/04
Posts: 4
destr0yr,

thank you for taking the time to respond, however i still am having difficulties in making this work. you mentioned that i just needed to download the geeklog.1.3.8-gallery.1.4-pl.zip from the site and install it per the instructions. however, this file only includes 14 files and a few folders. if you follow the readme file in the zip file it is impossible to install... this is racking my brain, it's probably something really, really, really stupid that i'm missing...

Status: offline

zx6r

Forum User
Newbie
Registered: 07/04/03
Posts: 6
What version of gallery are you trying to embed?

The geeklog.1.3.8-gallery.1.4-pl.zip works fine for gallery 1.4.1, however it does not seem to work so well for 1.4.2. Also, as far as I know, the integration the others are talking about is only included in the CVS version of gallery. Someone correct me if I am wrong.

When I tried to use the geeklog.1.3.8-gallery.1.4-pl.zip with gallery 1.4.2 I noticed that the util.php files are very different between gallery 1.4.1 and 1.4.2.

you mentioned that i just needed to download the geeklog.1.3.8-gallery.1.4-pl.zip from the site and install it per the instructions. however, this file only includes 14 files and a few folders. if you follow the readme file in the zip file it is impossible to install...


Difficult maybe, if you don't follow the instructions to the letter, but not impossible. 14 files sounds about right. Basically this install wants you to backup and replace those 14 files inside your gallery directory. However one of the files is util.php and like I said earlier, util.php in gallery 1.4.1 is considerably different than util.php in 1.4.2.

I had 1.4.2 working on my site, then I decided to try the CVS version, so unfortunately I don't have a working example anymore. The CVS version does include geeklog integration, so my suggestion would be one of the following:
1. Wait for gallery 1.4.3
2. Try the CVS version of gallery
3. Revert back to gallery 1.4.1pl1
4. Hack the php files in 1.4.2 (If you thought the instructions in the readme for geeklog.1.3.8-gallery.1.4-pl1 were impossible, I probably wouldn't try this option)

Status: offline

vinny

Site Admin
Admin
Registered: 24/06/02
Posts: 352
Location:Colorado, USA
Just use the integration version from GPlugs. You should NOT install Gallery first, just use the files included in the integration. That includes gallery version 1.4.1-pl1.

-Vinny

Status: offline

emagin

Forum User
Regular Poster
Registered: 05/08/03
Posts: 92
I can't get any of the random photo or photo listing blocks to work with this new integration release.

Is there a thread that addresses problems and possible solutions? I get timer.class errors and other stuff. I can get my notes, but just wanted to read anything to start troubleshooting.

Status: offline

asmaloney

Forum User
Full Member
Registered: 08/02/04
Posts: 214
Quote by emagin: I can't get any of the random photo or photo listing blocks to work with this new integration release.

Is there a thread that addresses problems and possible solutions? I get timer.class errors and other stuff. I can get my notes, but just wanted to read anything to start troubleshooting.


FYI, someone has contacted me with an error trying to use the Gallery Block with rc1 and Gallery 1.4.pl1. It errors out on this include for some reason, though I don't know what the exact error is:
PHP Formatted Code

require_once( $_CONF['path_system'] . 'classes/timer.class.php' );

 

This is bizarre, but I haven't installed rc1 so I can't track this down right now. If anyone has any ideas or a fix, please let me know.

Status: offline

zx6r

Forum User
Newbie
Registered: 07/04/03
Posts: 6
Just use the integration version from GPlugs. You should NOT install Gallery first, just use the files included in the integration. That includes gallery version 1.4.1-pl1.


I agree, however, this does not help someone who has already downloaded and installed gallery 1.4.2. There were quite a few changes in 1.4.2 and I could see people wanting to use 1.4.2 and not 1.4.1-pl1. It was this group (me included) I was trying to address in my post.

I don't see any reason to work on 1.4.2 since the integration will be part of 1.4.3. Which brings one to either revert back to 1.4.1-pl1 (use the integration from Gplugs above), hack 1.4.2 (what I originally did, but don't see a reason to now), use CVS (what I am doing now), or wait for 1.4.3.

Status: offline

snow_crash

Forum User
Newbie
Registered: 25/02/04
Posts: 4
hello all again,

i was finally able to get my gallery working (www.jasonprussell.org/gallery) after following the instructions from Vinny. thanks Vinny! Note to all, the integration from GPlugs is the correct file, don't use the one from geeklog.net as it does not contain all the files you need.

snow_crash

All times are EST. The time is now 08:05 pm.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content